class ImportHistory < ApplicationRecord
  belongs_to :conference

  enum :status, {
    started: "started",
    completed: "completed",
    failed: "failed"
  }

  def duration
    return nil unless started_at
    (completed_at || Time.current) - started_at
  end
end
